# AUTOGENERATED! DO NOT EDIT! File to edit: ../../nbs/02_nlit/07_cell.ipynb.

# %% auto 0
__all__ = ['OBS', 'VAR', 'OBSM', 'VARM', 'OBSP', 'VARP', 'UNS', 'LAYER', 'LAYERS', 'HVG', 'PCA', 'UMAP', 'TSNE', 'PHATE', 'MAGIC',
           'CELL', 'CELLS', 'BARCODE', 'BARCODES', 'ID', 'MITO', 'RIBO', 'GENE', 'GENE_ID', 'GENE_IDS', 'GENE_SYMBOL',
           'HIGHLY_VARIABLE', 'ENSEMBL', 'ENSEMBL_ID', 'HUMAN', 'MOUSE', 'HUMAN_TF', 'MOUSE_TF', 'HUMAN_GENE_SYMBOL',
           'HUMAN_ENSEMBLE_ID', 'MOUSE_ENSEMBLE_ID', 'BATCH', 'TIMEPOINT', 'TIMEPOINTS', 'TOTAL_COUNTS', 'DOUBLET',
           'DOUBLET_SCORES', 'PREDICTED_DOUBLETS', 'PRENORM', 'DETECTED', 'SCALED_NORMALIZED', 'COUNTS', 'PCT',
           'PERCENT', 'PCT_COUNTS', 'PCT_COUNTS_MITO', 'PCT_COUNTS_RIBO', 'X', 'X_', 'X_PRENORM', 'X_DETECTED',
           'X_SCALED_NORMALIZED', 'X_MAGIC', 'X_PCA', 'X_PCA_HVG', 'X_PHATE', 'X_PHATE_HVG', 'DPT', 'PSEUDOTIME',
           'DPT_PSEUDOTIME', 'ADATA', 'MATRIX', 'FEATURES', 'SENSITIVITY', 'FILTERED_MATRIX', 'AMAZON_BUCKET_FLUENTBIO',
           'ALL', 'ESC', 'ENDO', 'MESO', 'HEMA', 'PREGERM', 'CARDIAC', 'SOMITES', 'NEURAL_PROG', 'NEURAL_CREST',
           'TROPHOBLAST', 'SEQRUN', 'SEQRUNS', 'TREATMENT', 'TREATMENTS', 'SENS', 'SENSITIVITIES', 'FIRST_SENS',
           'UNIQUE_SENS', 'UNIQUE_SENSITIVITY', 'UNIQUE_SENSITIVITIES']

# %% ../../nbs/02_nlit/07_cell.ipynb 4
from ..nstr.core import SUNDER

# %% ../../nbs/02_nlit/07_cell.ipynb 7
OBS = 'obs'
VAR = 'var'

OBSM = f'{OBS}m'
VARM = f'{VAR}m'

OBSP = f'{OBS}p'
VARP = f'{VAR}p'

UNS = 'UNS'
LAYER = 'layer'
LAYERS = 'layers'

# %% ../../nbs/02_nlit/07_cell.ipynb 9
HVG = 'hvg'
PCA = 'pca'
UMAP = 'umap'
TSNE = 'tsne'
PHATE = 'phate'
MAGIC = 'magic'

# %% ../../nbs/02_nlit/07_cell.ipynb 11
CELL = 'cell'
CELLS = f'{CELL}s'
BARCODE = 'barcode'
BARCODES = f'{BARCODE}s'

# %% ../../nbs/02_nlit/07_cell.ipynb 13
ID = 'id'
MITO = 'mito'
RIBO = 'ribo'
GENE = 'gene'
GENE_ID = f'{GENE}_id'
GENE_IDS = f'{GENE_ID}s'
GENE_SYMBOL = f'{GENE}_symbol'
HIGHLY_VARIABLE = 'highly_variable'

ENSEMBL = 'ensembl'
ENSEMBL_ID = f'{ENSEMBL}_id'

HUMAN = 'human'
MOUSE = 'mouse'

HUMAN_TF = f'{HUMAN}TFs'
MOUSE_TF = f'{MOUSE}TFs'

HUMAN_GENE_SYMBOL = f'{HUMAN}GeneSymbol'
HUMAN_ENSEMBLE_ID = f'{HUMAN}EnsemblID'
MOUSE_ENSEMBLE_ID = f'{MOUSE}EnsemblID'

BATCH = 'batch'
TIMEPOINT = 'timepoint'
TIMEPOINTS = f'{TIMEPOINT}s'
TOTAL_COUNTS = 'total_counts'
DOUBLET = 'doublet'
DOUBLET_SCORES = f'{DOUBLET}_scores'
PREDICTED_DOUBLETS = f'predicted_{DOUBLET}s'

PRENORM = 'prenorm'
DETECTED = 'detected'
SCALED_NORMALIZED = 'scaled_normalized'


COUNTS = 'counts'
PCT = 'pct'
PERCENT = 'percent'
PCT_COUNTS = f'{PCT}_{COUNTS}'
PCT_COUNTS_MITO = f'{PCT}_{COUNTS}_{MITO}'
PCT_COUNTS_RIBO = f'{PCT}_{COUNTS}_{RIBO}'

# %% ../../nbs/02_nlit/07_cell.ipynb 14
_ = SUNDER
X = 'X'
X_ = f'{X}{_}'

# %% ../../nbs/02_nlit/07_cell.ipynb 15
# Layer storing prenormalized counts in adata.layers
X_PRENORM = f'{X_}{PRENORM}'

# Layer storing values where prenormalized counts is at least 0 in adata.layers
X_DETECTED = f'{X_}{DETECTED}'

# Layer storing counts normalized
X_SCALED_NORMALIZED = f'{X_}{SCALED_NORMALIZED}'

# Layer storing MAGIC embedding in adata.obsm
X_MAGIC = f'{X_}{MAGIC}'

# Layer storing PCA embedding in adata.obsm
X_PCA = f'{X_}{PCA}'

# Layer storing PCA embedding just on HVGs in adata.obsm
X_PCA_HVG = f'{X_}{PCA}_{HVG}'

# Layer storing PHATE embedding just in adata.obsm
X_PHATE = f'{X_}{PHATE}'

# Layer storing PHATE embedding just on HVGs in adata.obsm
X_PHATE_HVG = f'{X_}{PHATE}_{HVG}'

# %% ../../nbs/02_nlit/07_cell.ipynb 16
DPT = 'dpt'
PSEUDOTIME = 'pseudotime'
DPT_PSEUDOTIME = f'{DPT}{_}{PSEUDOTIME}'

# %% ../../nbs/02_nlit/07_cell.ipynb 18
ADATA = 'adata'
MATRIX = 'matrix'
FEATURES = 'features'
SENSITIVITY = 'sensitivity'
FILTERED_MATRIX = 'filtered_matrix'

# %% ../../nbs/02_nlit/07_cell.ipynb 20
AMAZON_BUCKET_FLUENTBIO = 'https://fbs-public.s3.us-east-2.amazonaws.com'

# %% ../../nbs/02_nlit/07_cell.ipynb 22
ALL = 'all'
ESC = 'esc'
ENDO = 'endo'
MESO = 'meso'
HEMA = 'hema'
PREGERM = 'pregerm'
CARDIAC = 'cardiac'
SOMITES = 'somites'
NEURAL_PROG = 'neural_prog'
NEURAL_CREST = 'neural_crest'
TROPHOBLAST = 'trophblast'

# %% ../../nbs/02_nlit/07_cell.ipynb 24
SEQRUN = 'seqrun'
SEQRUNS = f'{SEQRUN}s'
TREATMENT = f'treatment'
TREATMENTS = f'{TREATMENT}s'

SENS = 'sens'
SENSITIVITIES = 'sensitivities'

FIRST_SENS = 'first_sens'
UNIQUE_SENS = 'unique_sens'
UNIQUE_SENSITIVITY = 'unique_sensitivity'
UNIQUE_SENSITIVITIES = 'unique_sensitivities'
